esphome:
  name: "cam-tt-couch"
  platform: ESP32
  board: esp32cam

# cam-th-couch/debug [C][wifi:362]:   Local MAC: 54:43:B2:A9:79:E4

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

mqtt:
  broker: '10.2.0.1'
  port: 1883
  username: ''
  password: ''
  
logger:
  baud_rate: 115200
  level: INFO
  
ota:

sensor:
- platform: wifi_signal
  name: "wifi_signal"
  update_interval: 60s

light:
  - platform: monochromatic
    name: "flash"
    output: flash_out
    default_transition_length: 0s

output:
  - platform: ledc
    id: flash_out
    pin: GPIO4
    frequency: 19531Hz
    channel: 4

esp32_camera:
  external_clock:
    pin: GPIO0
    frequency: 20MHz
  i2c_pins:
    sda: GPIO26
    scl: GPIO27
  data_pins: [GPIO5, GPIO18, GPIO19, GPIO21, GPIO36, GPIO39, GPIO34, GPIO35]
  vsync_pin: GPIO25
  href_pin: GPIO23
  pixel_clock_pin: GPIO22
  power_down_pin: GPIO32
  name: "cam-tt-couch"
  jpeg_quality: 10
  vertical_flip: true
  horizontal_mirror: true
  # 320x240 640x480 800x600 1024x768 1280x1024 1600x1200
  resolution: "800x600"

esp32_camera_web_server:
  - port: 8080
    mode: stream
  - port: 8081
    mode: snapshot

# ffplay -i http://cam-th-couch:8081/ -vf hqdn3d=luma_spatial=0:chroma_spatial=50:luma_tmp=3:chroma_tmp=3

# maybe this first:
#  vaguedenoiser=threshold=5


